/*
 * Copyright (c) 1996 Hellmuth Michaelis.  All rights reserved.
 *
 * Copyright (c) 1996 Gary Jennejohn.  All rights reserved. 
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the author nor the names of any co-contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 *---------------------------------------------------------------------------*
 *
 *	bisdntrc - print debugging traces of channel activity
 *	-----------------------------------------------------
 *
 *	last edit-date: [Fri Jul  5 14:35:48 1996]
 *
 *	-hm	splitting
 *
 *---------------------------------------------------------------------------*/

#include <stdio.h>
#include <stdlib.h>
#include <signal.h>
#include <fcntl.h>
#include <ctype.h>
#include <time.h>
#include <unistd.h>
#include <sys/uio.h>
#include <sys/time.h>
#include <sys/types.h>
#include <sys/ioctl.h>
#include <sys/file.h>

#include <machine/bisdn_ioctl.h>

#include "pcause.h"

#define SPYDEVICE	"/dev/ispy"
#define ISPYDEV		"/dev/icard0"

#define BSIZE	(1024+sizeof(struct timeval)+sizeof(unsigned long)+1)

#define BIT_DIR		0x01	/* buf[0] - direction TE/NT bit */
#define BIT_DB		0x02	/* buf[0] - D or B channel bit  */
#define  D_CHAN		0		/* D-channel */
#define  B_CHAN		1		/* B-channel */
#define BIT_UNIT	0x3c	/* buf[0] - unit number         */
#define BIT_CHAN	0x40	/* buf[0] - channel B1 or B2    */

void catchsig();
void usage(void);
int decode_lapd(char *pbuf, int n, unsigned char *buf, int is_te, int raw, int printit);
void decode_q931(char *pbuf, int n, unsigned char *buf, int raw);
void decode_1tr6(char *pbuf, int n, unsigned char *buf, int raw);
char *print_error(int prot, unsigned char code);

/* EOF */
