/*
 * Copyright (c) 1995 Dietmar Friede and Juergen Krause.  All rights reserved.
 *
 * Copyright (c) 1996 Arne Helme. All rights reserved.
 *
 * Copyright (c) 1996 Gary Jennejohn. All rights reserved. 
 *
 * Copyright (c) 1995, 1996 Hellmuth Michaelis. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *	This product includes software developed by Dietmar Friede,
 *	Juergen Krause, Arne Helme, Gary Jennejohn and Hellmuth Michaelis.
 * 4. Neither the name of the author nor the names of any co-contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHORS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE THE AUTHORS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 *---------------------------------------------------------------------------
 *
 *	bisdn header file b_disdn.h
 *	---------------------------
 *
 *	last edit-date: [Mon May 20 20:18:34 1996]
 *
 *	-hm	adding Arne's NetBSD / Teles support
 *
 *---------------------------------------------------------------------------*/

struct disdn_ll_func
{
#ifdef __FreeBSD__
	int	(*ll_d_out) __P((int, struct mbuf*));
	int	(*ll_d_stat) __P((int));
	int	(*ll_init) __P((int, int, int, int));
	int	(*ll_out) __P((int, int, struct mbuf *));
	int	(*ll_setstate) __P((int, int, u_char*));
	int	(*ll_getstate) __P((int));
#endif /* __FreeBSD__ */
#ifdef __NetBSD__
	int	(*ll_d_out)(struct device *, struct mbuf *);
	int	(*ll_d_stat)(struct device *);
	int	(*ll_init)(struct device *, int, int, int);
	int	(*ll_out)(struct device *, int, struct mbuf *);
	int	(*ll_setstate)(struct device *, int, u_char *);
	int	(*ll_getstate)(struct device *);
#endif /* __NetBSD__ */
};

void  disdn_startout __P((int, int));

#ifdef __FreeBSD__
int disdn_attach __P((int, struct disdn_ll_func *, int, int));
#endif /* __FreeBSD__ */

#ifdef __NetBSD__ 
int disdn_attach __P((struct device *, struct disdn_ll_func *, int, int));
#endif /* NetBSD__ */

void disdn_input __P((int, struct mbuf *));
void disdn_d_2_intr __P((int, struct mbuf *));
void disdn_release __P((int));
int disdn_d_startout __P((int));
void lap_estlink __P((struct hdlc *,int));
void lapstate __P((struct hdlc *, int));
u_short lap_ftype __P((u_short));
int lap_input __P((struct hdlc *, int, u_char *));

/* EOF */
